### Method

# PapersView UndoContext undo

#### Declaration [src]

    void
    pps_undo_context_undo (
      PpsUndoContext* context
    )

#### Description [src]

This pops the last action on the undo stack and undoes it by calling the undo interface method of the `PpsUndoHandler` associated to the action. While undoing, the `PpsUndoHandler` should add a new action with `pps_undo_context_add_action` to redo what has just been undone, it will be added to the redo stack by the undo context.